<?php if (!defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * MaxSite CMS
 * (c) http://max-3000.com/
 */

	$p = new Page_out; // подготавливаем объект для вывода записей
	
	if ($pages = mso_get_pages(array( 
				'limit' => 3, 
				'cut' => '...',
				'custom_type' => 'home',
				'get_page_categories' => false,
				'get_page_count_comments' => true,
				), $pagination))
	{

		// формат записи
		$p->format('title', '<h4>', '</h4>');
		$p->format('date', 'd/m/Y H:i');
		$p->format('read', 'Читать полностью >>>', '');
		$p->format('comments', tf('Обсудить'), tf('Читать комментарии'), '',  '');
		
		
		// вывод в виде сетки
		$p->box_grid(3); // 2 ячейки
		
		foreach ($pages as $page)
		{
			$p->load($page); // загружаем данные записи

			$p->box_grid_cell('left'); // начало ячейки
			$p->line('[title]'); // заголовок
			// адрес картинки записи в мета img_page_home
			// генерируем thumb
			if (
				$img = thumb_generate(
				$p->meta_val('image_for_page'), // адрес
				300, //ширина
				170, //высота
				getinfo('template_url') . 'images/placehold/miport.png'
				))
			{
				$img = $p->page_url(true) . '<img src="' . $img . '" class="width100 center home" alt="" title="' . htmlspecialchars($p->val('page_title')). '"></a>';
				
				$p->html($img);
			}
			
			
			$p->content_chars(207, '...');  // текст обрезанный
			//$p->content_words(27, ' ...');  // текст обрезанный
			
			$p->line('[read]','<p class="read">', '</p>');
			
			$p->box_grid_next(); // конец ячейки 
		}
		
	$p->box_grid_end(); // стоп вывода ячеек
	
	mso_hook('pagination', $pagination);
	}